--- old/usr/src/uts/common/fs/bootfs/bootfs_vfsops.c	sam. juil. 16 15:13:59 2016
+++ new/usr/src/uts/common/fs/bootfs/bootfs_vfsops.c	sam. juil. 16 15:13:59 2016
@@ -223,11 +223,11 @@
 }
 
 static const fs_operation_def_t bootfs_vfsops_tmpl[] = {
-	VFSNAME_MOUNT,		{ .vfs_mount = bootfs_mount },
-	VFSNAME_UNMOUNT,	{ .vfs_unmount = bootfs_unmount },
-	VFSNAME_ROOT,		{ .vfs_root = bootfs_root },
-	VFSNAME_STATVFS,	{ .vfs_statvfs = bootfs_statvfs },
-	NULL,			NULL
+	{ VFSNAME_MOUNT,	{ .vfs_mount = bootfs_mount } },
+	{ VFSNAME_UNMOUNT,	{ .vfs_unmount = bootfs_unmount } },
+	{ VFSNAME_ROOT,		{ .vfs_root = bootfs_root } },
+	{ VFSNAME_STATVFS,	{ .vfs_statvfs = bootfs_statvfs } },
+	{ NULL,			{ NULL } }
 };
 
 static int
@@ -275,7 +275,7 @@
 };
 
 static struct modlinkage bootfs_modlinkage = {
-	MODREV_1, &bootfs_modlfs, NULL
+	MODREV_1, { &bootfs_modlfs, NULL }
 };
 
 int
